<!--
  ~ DSBDirect
  ~ Copyright (C) 2019 Fynn Godau
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU General Public License
  ~ along with this program.  If not, see <https://www.gnu.org/licenses/>.
  ~
  ~ This software is not affiliated with heinekingmedia GmbH, the
  ~ developer of the DSB platform.
  -->

<resources>
    <string name="app_name">DSBDirect</string>
    <string name="app_name_offline">DSBDirect Time Travel</string>
    <string name="title_activity_settings">Settings</string>

    <string name="credentials_invalid">Credentials invalid</string>
    <string name="credentials_correct">Credentials confirmed</string>

    <string name="credentials_popup_title">Authentication failure</string>
    <string name="credentials_popup_message_go_to_preferences">Your credentials appear to be incorrect. Please change them on the preferences screen.</string>

    <string name="timetable_uri_acquired">Loading timetable</string>
    <string name="timetable_last_changed">Last updated %s</string>
    <string name="timetable_published">Published %s</string>

    <string name="network_generic_error">Network error</string>
    <string name="network_invalid_response">Invalid response</string>

    <string name="error_parsing">Could not parse data to table</string>
    <string name="error_parsing_partial">Some data could not be parsed</string>

    <string name="network_versioncheck_failed">Could not check for updates.</string>

    <string name="network_authenticating">Authenticating</string>

    <string name="uri_dsb_query" translatable="false">https://app.dsbcontrol.de/JsonHandler.ashx/GetData</string>
    <string name="uri_versioncheck" translatable="false">https://notabug.org/fynngodau/DSBDirect/raw/master/updateCheck</string> <!-- This is indeed a professional way to check for updates. -->
    <string name="uri_releasepage" translatable="false">https://notabug.org/fynngodau/DSBDirect/releases</string>
    <string name="uri_repository" translatable="false">https://notabug.org/fynngodau/DSBDirect</string>
    <string name="uri_issue_tracker" translatable="false">https://notabug.org/fynngodau/DSBDirect/issues</string>
    <string name="uri_fdroid" translatable="false">https://f-droid.org/de/packages/%s</string>
    <string name="uri_market" translatable="false">market://details?id=%s</string>
    <string name="uri_avh_login" translatable="false">https://avhsw.de/images/stories/downloads/humboldtaktuell/Humboldt-aktuell-Ausgabe-76.pdf#page=4</string>

    <string name="query_body_base_json" translatable="false">{\"AppId\":\"\",\"AppVersion\":\"\",\"Device\":\"\",\"OsVersion\":\"\",\"Language\":\"\",\"Date\":\"\",\"LastUpdate\":\"\",\"BundleId\":\"\"}</string>
    <string name="query_body_outer_json" translatable="false">{\"req\":{\"Data\":\"%s\",\"DataType\":1}}</string>

    <string name="email_uri" translatable="false">mailto:fynngodau@mailbox.org?subject=DSBDirect&amp;body=%s</string>
    <string name="email_body">(Be kind!)</string>
    <string name="parser_request_uri" translatable="false">mailto:fynngodau@mailbox.org?subject=DSBDirect Parser Request&amp;body=%s</string>
    <string name="parser_request_body">This is not a form. Please write some text anywhere to motivate the developer.
        \n\nID: %1$s
        \nPass: %2$s</string>

    <string name="input_hint_pass">Pass</string>
    <string name="input_hint_id">ID</string>

    <string name="button_submit">Submit</string>

    <string name="action_reload">Reload</string>
    <string name="action_reauth">Reauthenticate</string>
    <string name="action_filter">Filter</string>
    <string name="action_update">Check for updates</string>
    <string name="action_choose_parser">Select parser</string>
    <string name="action_view_history">View history</string>

    <string name="confirm">Confirm</string>
    <string name="cancel">Cancel</string>
    <string name="dismiss">Dismiss</string>
    <string name="download">Download</string>
    <string name="action_filter_popup_title">Filter</string>
    <string name="number">Number</string>
    <string name="letter">Letter</string>
    <string name="name">Name</string>
    <string name="filter_by_class">Filter by class</string>
    <string name="filter_by_teacher">Filter by teacher</string>
    <string name="settings_view_filter_exclude_general">Always display general announcements (recommended)</string>
    <string name="action_filter_popup_message">Please input what class <b>or</b> course or teacher to filter for. Case-sensitive.</string>
    <string name="action_parse">Parse to table</string>
    <string name="update_popup_title">Update found: Version %s</string>
    <string name="update_download_title">DSBDirect %s</string>
    <string name="up_to_date">You are on the latest version of DSBDirect.</string>
    <string name="initializing">Initializing</string>
    <string name="parser_automatic">Automatic</string>
    <string name="ok">OK</string>
    <string name="empty">Nothing to display</string>
    <string name="you_are_offline">You are offline</string>

    <string name="one_file">one file</string>
    <string name="files">files</string>

    <string name="acknowledge">Acknowledge</string>
    <string name="dont_request">Don\'t request</string>
    <string name="open">Open</string>


    <string name="action_settings">Preferences</string>

    <string name="settings_view">View</string>
    <string name="settings_view_parse">Parse</string>
    <string name="settings_view_parse_not_html">Image tables can\'t be parsed</string>
    <string name="settings_view_parser">Parser</string>
    <string name="settings_view_filter">Enable Filters</string>
    <string name="settings_view_set_filter">Set filters</string>
    <string name="settings_view_parse_summary">Read out plans into a processible table using a parser</string>
    <string name="settings_view_filter_summary">Only display relevant entries</string>

    <string name="settings_login">Login</string>
    <string name="settings_login_id">ID</string>
    <string name="settings_login_pass">Pass</string>

    <string name="settings_time_travel">Time travel</string>
    <string name="settings_time_travel_caching">Store duration</string>
    <string name="settings_time_travel_caching_summary">Keep files for %s</string>
    <string name="settings_time_travel_clear_cache">Delete all files now</string>
    <string name="settings_time_travel_description">Time travel allows you to view past plan versions stored on your device.</string>

    <string name="clear_cache_popup_title">Delete files</string>
    <string name="clear_cache_popup_message">Would you like to delete %1$s, occupying %2$s?</string>

    <string name="settings_updates">Updates</string>
    <string name="settings_updates_check">Automatically check for updates</string>
    <string name="settings_updates_check_now">Check for updates now</string>
    <string name="settings_about">About</string>
    <string name="settings_about_description">Developed by Fynn Godau</string>
    <string name="settings_about_description_summary">You are on version %s</string>
    <string name="settings_about_email">Write the developer an email message</string>
    <string name="settings_about_email_summary">He appreciates thank-you messages because they let him know someone uses the software he developed</string>
    <string name="settings_about_request_parser">Request a parser to be developed</string>
    <string name="settings_about_issues">File an issue</string>
    <string name="settings_about_repository">Check out the repository</string>
    <string name="settings_about_repository_summary">This software is licensed under GNU GPL v3, meaning that you got additional freedoms</string>
    <string name="settings_about_issues_summary">Utilise the issue tracker to request features and report bugs</string>

    <string name="request_parser_popup_title">Request parser</string>
    <string name="request_parser_popup_message">To develop a parser, it is necessary for the developer to have access to your plan.
        \n\nTherefore, credentials are transmitted to him. He promises not to disclose the pass to anybody. He will only use the login to develop a parser.
        \n\nOnce finished, the parser will be included in future versions of this software. The id (a 6-digit number) will be included as well, so that the parser can be selected automatically for everyone\'s benefit.
        \n\nIf your plan consists of images, it can\'t be parsed. Ask your school to provide a website to DSB instead.
        \n\nThis is a voluntary service.</string>
    <string name="settings_polling">Notifications</string>
    <string name="settings_polling_enabled">Enable notifications</string>
    <string name="settings_polling_interval">Check interval</string>
    <string name="settings_polling_interval_summary">Check for new plan notifications every %s</string>
    <string name="settings_view_polling_api_too_low">Requires Android 5.0+</string>

    <string name="notification_channel_plan_updates">Plan updates</string>
    <string name="notification_channel_plan_updates_description">Notify about plan updates</string>

    <string name="notification_plan_html_updates_title">Today</string>
    <string name="notification_plan_html_updates_empty">No entries for today</string>
    <string name="notification_plan_updates_title">New plan available</string>

    <string name="notification_plan_updates_text_pluralize_entries_one">There is one entry</string>
    <string name="notification_plan_updates_text_pluralize_entries_many">There are {0} entries</string>
    <string name="settings_polling_description">Receive today\'s entries in a notification as soon as they become available. This feature may cause battery drain. No checks are performed during weekends and during night-time to conserve energy.</string>
    <string name="settings_view_filter_hide_past">Hide past entries</string>
    <string name="settings_polling_display_empty">Display empty notifications</string>
    <string name="settings_polling_display_empty_summary">Also notify if no entries match filters</string>
    <string name="settings_polling_download">Download new tables automatically</string>
    <string name="settings_polling_download_summary">Download new content as soon as it is found</string>
    <string name="settings_polling_download_recommended">Required for displaying table content in notifications</string>
    <string name="settings_view_layout">Layout</string>
    <string name="error_displaying">File could not be displayed</string>
    <string name="settings_view_merge">Merge</string>
    <string name="settings_view_merge_summary">Merge multiple pages into one table</string>

    <string name="login_login">Log in</string>
    <string name="login_title">Log in to DSB</string>
    <string name="login_avh">What are Alexander-von-Humboldt-Gymnasium Schweinfurt\'s credentials?</string>
    <string name="credentials_popup_message">Your credentials appear to be invalid.</string>
    <string name="network_generic_error_popup_message">A problem occurred during an attempt to verify your credentials.</string>
    <string name="notifications_popup_title">Enable notifications?</string>
    <string name="notifications_popup_message">Would you like to be notified whenever your plan updates?</string>
    <string name="yes">Yes</string>
    <string name="no">No</string>
    <string name="share_title">Share this entry</string>
    <string name="settings_filter">Filter</string>
    <string name="settings_view_style">Background</string>
    <string name="settings_parser">Parser</string>
    <string name="settings_view_invert_images">Invert images</string>
    <string name="settings_view_invert_images_summary">Flip image colors to switch black and white</string>
    <string name="settings_view_invert_images_no_images">There are no images in your plan</string>
    <string name="today">Today</string>
    <string name="tomorrow">Tomorrow</string>
    <string name="yesterday">Yesterday</string>
    <string name="settings_about_libraries">About libraries</string>
    <string name="about_libraries_header">The following libraries are in use to make this application work.</string>
    <string name="license">License</string>
    <string name="license_explanation">%1$s is distributing %2$s under the %3$s license as seen below.</string>
    <string name="about_libraries_open_browser">Open in browser</string>
    <string name="migrate_roentgen_title">Röntgen no longer supported</string>
    <string name="migrate_roentgen_message">Röntgen is no longer using DSB to publish plans. Thus, it is no longer possible to use DSBDirect to access the Röntgen substitute plan.</string>
    <string name="contact_app_developer">Contact app developer</string>
    <string name="credits">HeinekingMedia parser developed by Jasper Michalke</string>
    <string name="settings_view_styling">Style and Colors</string>
    <string name="settings_styling_color_primary">Primary color</string>
    <string name="action_pick_color_popup_message">Select a color using the picker below.</string>
    <string name="action_pick_color_popup">Pick color</string>
    <string name="settings_styling_color_accent">Accent color</string>
    <string name="settings_styling_color_primary_dark">Primary color dark</string>
    <string name="settings_style_description">You may adjust the application\'s colors to your liking. Unfortunately, the default blue and pink will still be visible at some occasions where it is hard or impossible to change them.</string>
    <string name="filter_by_courses">Filter by courses (separate with spaces; courses must appear in the info field)</string>
    <string name="courses">Courses</string>

    <string-array name="settings_view_parser_options">
        <item>Automatic</item>
        <item>Untis</item>
        <item>HeinekingMedia (Goethe)</item>
    </string-array>
    <string-array name="settings_view_parser_values">
        <item>automatic</item>
        <item>untis</item>
        <item>goethe</item>
    </string-array>

    <string-array name="settings_view_layout_options">
        <item>List</item>
        <item>Cards – Student</item>
        <item>Cards – Teacher</item>
    </string-array>
    <string-array name="settings_view_layout_values">
        <item>list</item>
        <item>cards</item>
        <item>cards reversed</item>
    </string-array>

    <string-array name="settings_view_style_options">
        <item>Light</item>
        <item>Dark</item>
        <item>Black</item>
    </string-array>
    <string-array name="settings_view_style_values">
        <item>light</item>
        <item>dark</item>
        <item>black</item>
    </string-array>

    <string-array name="settings_polling_interval_options">
        <item>5 minutes</item>
        <item>10 minutes</item>
        <item>20 minutes</item>
        <item>30 minutes</item>
    </string-array>
    <string-array name="settings_polling_interval_values">
        <item>5</item>
        <item>10</item>
        <item>20</item>
        <item>30</item>
    </string-array>

    <string-array name="settings_time_travel_caching_options">
        <item>three days</item>
        <item>one week (default)</item>
        <item>two weeks</item>
        <item>one month</item>
        <item>three months</item>
        <item>an eternity (only delete manually)</item>
    </string-array>
    <string-array name="settings_time_travel_caching_values">
        <!-- in milliseconds -->
        <item>259200000</item>
        <item>604800000</item>
        <item>1209600000</item>
        <item>2678400000</item>
        <item>8035200000</item>
        <item>Asexuals exist!</item>
    </string-array>

    <string-array name="settings_updates_check_options">
        <item>Never</item>
        <item>Occasionally (recommended)</item>
        <item>Every launch</item>
    </string-array>
    <string-array name="settings_updates_check_values">
        <item>never</item>
        <item>sometimes</item>
        <item>always</item>
    </string-array>

</resources>
